NEARD(8)

NAME
neard - Near Field Communication daemon

SYNOPSIS
neard [--version] | [--help]

neard [--debug=<file1>:<file2>:...] [--plugin=<plugin1>,<plugin2>,...] [--noplugin=<plugin1>,<plugin2>,...] [--nodaemon]

DESCRIPTION
neard is an NFC (Near Field Communication) daemon for managing NFC operations on devices running the Linux operating system. It relies on the Linux kernel NFC socket and generic netlink families, and is a fully modular system that can be extended through plug-ins. It supports all 4 NFC tag types reading and writing, along with NFC LLCP (peer to peer mode) in both target and initiator modes. The Simple NDEF Exchange Protocol (SNEP), NDEF Push Protocol (NPP) and handover (Wi-Fi and Bluetooth) protocols are implemented as separate plugins on top of LLCP sockets.

OPTIONS
The following options are supported:

--version
    Print the neard software version and exit.

--help
    Print neard's available options and exit.

--debug=<file1>:<file2>:...
    Sets how much information neard sends to the log destination (usually syslog's "daemon" facility). If the file options are omitted, then debugging information from all the source files are printed. If file options are present, then only debug prints from that source file are printed. Example: --debug=src/service.c:plugins/wifi.c

--plugin=<plugin1>,<plugin2>,...
    Load these plugins only. The option can be a pattern containing "*" and "?" characters.

--noplugin=<plugin1>,<plugin2>,...
    Never load these plugins. The option can be a pattern containing "*" and "?" characters.

--nodaemon
    Do not daemonize. This is useful for debugging, and directs log output to the controlling terminal in addition to syslog.

SEE ALSO
neard.conf(5).